### Class

# AppStream Screenshot

since: 1.0

#### Description

    class AppStream.Screenshot : GObject.Object
    {
      /* No available fields */
    }

No description available.

Available since: 1.0

#### Hierarchy

#### Ancestors

- GObject

#### Constructors

###### as_screenshot_new

Creates a new `AsScreenshot`.

since: 1.0

#### Instance methods

###### as_screenshot_add_image

Adds an image to the screenshot.

since: 1.0

###### as_screenshot_add_video

Adds a video to the screenshot.

since: 1.0

###### as_screenshot_clear_images

Remove all images associated with this screenshot.

since: 0.15.4

###### as_screenshot_get_caption

Gets the image caption.

since: 1.0

###### as_screenshot_get_context

Returns the `AsContext` associated with this screenshot. This function may return `NULL` if no context is set.

since: 0.11.2

###### as_screenshot_get_environment

Get the GUI environment ID of this screenshot, if any is associated with it. E.g. “plasma-mobile” or “gnome:dark”.

since: 1.0

###### as_screenshot_get_image

Gets the AsImage closest to the target size. The `AsImage` may not actually be the requested size, and the application may have to pad / rescale the image to make it fit. Only images for the current active locale (or fallback, if images are not localized) are considered.

since: 0.14.0

###### as_screenshot_get_images

Gets the images for this screenshots. Only images valid for the current language are returned. We return all sizes.

since: 1.0

###### as_screenshot_get_images_all

Returns an array of all images we have, regardless of their size and language.

since: 0.10

###### as_screenshot_get_kind

Gets the screenshot kind.

since: 1.0

###### as_screenshot_get_media_kind

Gets the screenshot media kind.

since: 1.0

###### as_screenshot_get_videos

Gets the videos for this screenshots. Only videos valid for the current language selection are returned. We return all sizes.

since: 1.0

###### as_screenshot_get_videos_all

Returns an array of all screencast videos we have, regardless of their size and locale.

since: 1.0

###### as_screenshot_is_valid

Performs a quick validation on this screenshot.

since: 1.0

###### as_screenshot_set_caption

Sets a caption on the screenshot.

since: 1.0

###### as_screenshot_set_context

Sets the document context this screenshot is associated with.

since: 0.11.2

###### as_screenshot_set_environment

Sets the GUI environment ID of this screenshot.

since: 1.0

###### as_screenshot_set_kind

Sets the screenshot kind.

since: 1.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

unstable since: 2.0

#### Class structure

    struct AppStreamScreenshotClass {
      GObjectClass parent_class;
      void (* _as_reserved1) (
    void
      );
      void (* _as_reserved2) (
    void
      );
      void (* _as_reserved3) (
    void
      );
      void (* _as_reserved4) (
    void
      );
      void (* _as_reserved5) (
    void
      );
      void (* _as_reserved6) (
    void
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.
`_as_reserved1: void (* _as_reserved1) ( void )`
  No description available.
`_as_reserved2: void (* _as_reserved2) ( void )`
  No description available.
`_as_reserved3: void (* _as_reserved3) ( void )`
  No description available.
`_as_reserved4: void (* _as_reserved4) ( void )`
  No description available.
`_as_reserved5: void (* _as_reserved5) ( void )`
  No description available.
`_as_reserved6: void (* _as_reserved6) ( void )`
  No description available.